RFC SERIES The RFC Series is a large rotavator for mountainous terrain, enabling uniform tillage even on slopes and rough ground.
Feature 01
Combines a large gearbox with a high-strength steel-plate frame to minimize power loss.
Feature 02
A spring-load structure absorbs shock and optimizes ground-unevenness compensation.
Feature 03
A hypoid gear delivers efficient power transmission.
Feature 04
An ideal blade arrangement and high-strength drive shaft for balanced work.
| Model | Dimensions (mm) | Weight | Flanges | Blades | Tilling Width | Power | ||
|---|---|---|---|---|---|---|---|---|
| Length | Width | Height | (Kg) | (Pcs) | (Pcs) | (mm) | (HP) | |
| RFC 2850 | 1303 | 3030 | 1200 | 1000 | 11 | 66 | 2850 | 100 ~120 |
| RFC 3050 | 3265 | 1050 | 12 | 72 | 3050 | 110 ~ 150 | ||
| RFC 3300 | 3530 | 1100 | 13 | 78 | 3300 | 120 ~ 160 | ||